# Detector with pose estimation

This toolbox implemenents method from the paper: Juranek, R. et al.: _Real-time pose Estimation piggybacked on object detection_. If you find this software usefull in your research, please cite:


```tex
@inproceedings {juranek2015iccv,
	title = {Real-time Pose Estimation Piggybacked on Object Detetion},
	author = {Roman Juránek and Adam Herout and Markéta Dubská and Pavel Zemčík},
    booktitle = {ICCV},
    year = {2015}
}
```

> Please note, that this software is experimental. We work on improved version to increase accuracy and speed of detection and pose estimation.

# Intallation and Requirements

In order to use this toolbox, you need:

- [Piotr's Image and Video Toolbox](https://github.com/pdollar/toolbox) (v 3.40) - We use this one for graoud truth oprations, feature channels and evaluation of detectors.
- C++ 11 enabled compiler - For detection code which is written in c++
