function R = rasterVectors(V, S, W, A)

R = zeros(size(S,1),1,'single');
K = @(x)exp(-0.5*(x./A).^2);

for i = 1:size(V,1)
    r = acos(S * V(i,:)');
    R = R + K(r) * W(i);
end

%R = reshape(R, size(X));