function Z = adaboost_error(Y, W, ind, ~, splits)

Y = Y(ind); W = W(ind);
w1 = sum(W(Y==1)); w2 = sum(W(Y==2));
Z = zeros(size(splits,2), 1);

for i = 1:size(splits,2)
    s = splits(:,i);    
    y = Y(s==0); w = W(s==0);
    z0 = sqrt(sum(w(y==1)) * sum(w(y==2)));
    z1 = sqrt(  (w1-sum(w(y==1))) * (w2 - sum(w(y==2)))   );
    Z(i) = 2*(z0+z1);
end