function e = pose_residual_error(Y, ~, ind, ~, splits, P)

P = P(ind,:);
Y = Y(ind);
P = P(Y~=1,:);
splits = splits(Y~=1,:);
e = zeros(size(splits,2),1);
for i = 1:size(splits,2)
    s = splits(:,i);
    m0 = bsxfun(@rdivide, sum(P(s==0,:),1), sum(s==0)+1);
    m1 = bsxfun(@rdivide, sum(P(s==1,:),1), sum(s==1)+1);
    e0 = bsxfun(@minus, P(s==0,:), m0);
    e1 = bsxfun(@minus, P(s==1,:), m1);
    e(i) = sum(e0(:).^2) + sum(e1(:).^2);
end