function wbDetectorCompile

%% Compilation script for MEX functions

% Determine installation of LBPDetector
[path] = fileparts(which('mxScanImages'));
srcpath = fullfile(path, 'cpp');
incpath = ['-I ' fullfile(path, 'cpp') ' -I ' fullfile(path, '../include')];

% GO!
CXXFLAGS = ['CXXFLAGS=\$CXXFLAGS -std=c++11 ' incpath];
OPTFLAGS = 'CXXOPTIMFLAGS=-O3 -DNDEBUG';
DBGFLAGS = 'CXXDEBUGFLAGS=';

mex( ...
    fullfile(srcpath,'mxScanImages.cpp'), ...
    fullfile(srcpath,'wbt_detector.cpp'), ...
    '-compatibleArrayDims', '-v', CXXFLAGS, OPTFLAGS, DBGFLAGS, '-outdir', path);
