function S = crop_bbs(imgs,bbs,dim)
% bbs: [x,y,scale_id]
nchns = size(imgs{1},3);


S = zeros([dim nchns size(bbs,1)]);

for i = 1:numel(imgs)
    js = bbs(:,3)==i;
    if ~any(js), continue; end;
    bb_crop_s = bbs(js,:);
    im = imgs{i};
    s = zeros(dim(1),dim(2),nchns,size(bb_crop_s,1),'single');
    for j = 1:size(bb_crop_s,1)
        b = bb_crop_s(j,:);
        [r1,c1,r2,c2,~] = deal(b(2), b(1), b(2)+dim(1)-1, b(1)+dim(2)-1, b(3));
        s(:,:,:,j) = im(r1:r2,c1:c2,:);
    end % bb
    S(:,:,:,js) = s;
end % scales
%S = cat(4,S{:});